// tabdemo.cpp : implementation file
//

#include "stdafx.h"
#include "vbxdemo.h"
#include "tabdemo.h"

#ifdef _DEBUG
#undef THIS_FILE
static char BASED_CODE THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTabDemo dialog


CTabDemo::CTabDemo(CWnd* pParent /*=NULL*/)
	: CDialog(CTabDemo::IDD, pParent)
{
	//{{AFX_DATA_INIT(CTabDemo)
	m_pTab1 = NULL;
	m_pTab2 = NULL;
	m_pTab3 = NULL;
	m_pTab4 = NULL;
	m_pTab5 = NULL;
	m_pTab6 = NULL;
	m_szText = "";
	//}}AFX_DATA_INIT
}

void CTabDemo::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CTabDemo)
	DDX_VBTab(pDX, IDC_VBTAB1, m_pTab1);
	DDX_VBTab(pDX, IDC_VBTAB2, m_pTab2);
	DDX_VBTab(pDX, IDC_VBTAB3, m_pTab3);
	DDX_VBTab(pDX, IDC_VBTAB4, m_pTab4);
	DDX_VBTab(pDX, IDC_VBTAB5, m_pTab5);
	DDX_VBTab(pDX, IDC_VBTAB6, m_pTab6);
	DDX_VBText(pDX, IDC_VBTEXT3, 20, m_szText);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CTabDemo, CDialog)
	//{{AFX_MSG_MAP(CTabDemo)
	ON_WM_DESTROY()
	ON_BN_CLICKED(IDHELP, OnHelp)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB1, OnClickVbtab1)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB2, OnClickVbtab2)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB3, OnClickVbtab3)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB4, OnClickVbtab4)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB5, OnClickVbtab5)
	ON_VBXEVENT(VBN_CLICK, IDC_VBTAB6, OnClickVbtab6)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()


/////////////////////////////////////////////////////////////////////////////
// CTabDemo message handlers

BOOL CTabDemo::OnInitDialog()
{
	CDialog::OnInitDialog();
m_szText = "Your are on the first panel...";
UpdateData( FALSE );	
if ( !IsHlpHere() )
		GetDlgItem( IDHELP )->EnableWindow( FALSE );
HandleTheTab();	
	return TRUE;  // return TRUE  unless you set the focus to a control
}

void CTabDemo::OnDestroy()
{
	CDialog::OnDestroy();
	::WinHelp( m_hWnd, "VBXSTD12.HLP", HELP_QUIT, NULL );		
}

void CTabDemo::OnHelp()
{
	CString FAR szWinDir, szName, szMsg;
	GetSystemDirectory( szWinDir.GetBuffer(250), 248 );
	szWinDir.ReleaseBuffer();
	if ( szWinDir.GetLength() > 3 )
		szWinDir += "\\";
	szName = szWinDir;
	szName += "VBXSTD12.HLP";
    if ( !IsHlpHere() )
    	return;
	::WinHelp( m_hWnd, szName, HELP_KEY, (long)"VBTab" );
	
}

void CTabDemo::OnClickVbtab1(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::OnClickVbtab2(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::OnClickVbtab3(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::OnClickVbtab4(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::OnClickVbtab5(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::OnClickVbtab6(UINT, int, CWnd*, LPVOID)
{
	HandleTheTab();
	
}

void CTabDemo::HandleTheTab( )
{           
UINT iTrueValue;            
CString szCurrent;
if ( m_pTab1->Active() )
	iTrueValue = IDC_VBTAB1;
else if ( m_pTab2->Active() )
	iTrueValue = IDC_VBTAB2;
else if ( m_pTab3->Active() )
	iTrueValue = IDC_VBTAB3;
else if ( m_pTab4->Active() )
	iTrueValue = IDC_VBTAB4;
else if ( m_pTab5->Active() )
	iTrueValue = IDC_VBTAB5;
else if ( m_pTab6->Active() )
	iTrueValue = IDC_VBTAB6;
else
	iTrueValue = IDC_VBTAB1;

switch ( iTrueValue )
	{
	case IDC_VBTAB1: szCurrent = (CString)m_pTab1->Caption(); break;
	case IDC_VBTAB2: szCurrent = (CString)m_pTab2->Caption(); break;
	case IDC_VBTAB3: szCurrent = (CString)m_pTab3->Caption(); break;
	case IDC_VBTAB4: szCurrent = (CString)m_pTab4->Caption(); break;
	case IDC_VBTAB5: szCurrent = (CString)m_pTab5->Caption(); break;
	case IDC_VBTAB6: szCurrent = (CString)m_pTab6->Caption(); break;
	}

if ( szCurrent == "Choice &1" )
	{
	m_szText = "You are on the first panel...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_SHOWNA );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_HIDE );
	}
else if ( szCurrent == "Choice &2" )
	{
	m_szText = "You are on the second panel...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_SHOWNA );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_HIDE );
	}
else if ( szCurrent == "Choice &3" )
	{
	m_szText = "You are on the third panel...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_SHOWNA );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_HIDE );
	}
else if ( szCurrent == "Choice &4" )
	{
	m_szText = "You are on the panel 4...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_HIDE );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_SHOWNA );
	}
else if ( szCurrent == "Choice &5" )
	{
	m_szText = "You are on the panel 5...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_HIDE );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_SHOWNA );
	}
else if ( szCurrent == "Choice &6" )
	{
	m_szText = "You are on the panel 6...";
	GetDlgItem( IDC_CHECK1 )->ShowWindow( SW_HIDE );
	GetDlgItem( IDC_BUTTON1 )->ShowWindow( SW_SHOWNA );
	}
UpdateData( FALSE );
}
	
